<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="12.0" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <Import Project="$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props" Condition="Exists('$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props')" />
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProjectGuid>{EC25362D-5BA7-4CB3-BDA2-C575B9318086}</ProjectGuid>
    <OutputType>Exe</OutputType>
    <AppDesignerFolder>Properties</AppDesignerFolder>
    <RootNamespace>CTZLauncher</RootNamespace>
    <AssemblyName>CTZLauncher</AssemblyName>
    <TargetFrameworkVersion>v4.0</TargetFrameworkVersion>
    <FileAlignment>512</FileAlignment>
    <ProjectTypeGuids>{60dc8134-eba5-43b8-bcc9-bb4bc16c2548};{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}</ProjectTypeGuids>
    <WarningLevel>4</WarningLevel>
    <TargetFrameworkProfile />
    <IsWebBootstrapper>true</IsWebBootstrapper>
    <PublishUrl>http://localhost:8000/CTZL/</PublishUrl>
    <Install>true</Install>
    <InstallFrom>Web</InstallFrom>
    <UpdateEnabled>true</UpdateEnabled>
    <UpdateMode>Foreground</UpdateMode>
    <UpdateInterval>7</UpdateInterval>
    <UpdateIntervalUnits>Days</UpdateIntervalUnits>
    <UpdatePeriodically>false</UpdatePeriodically>
    <UpdateRequired>false</UpdateRequired>
    <MapFileExtensions>true</MapFileExtensions>
    <CreateWebPageOnPublish>true</CreateWebPageOnPublish>
    <WebPage>publish.htm</WebPage>
    <ApplicationRevision>3</ApplicationRevision>
    <ApplicationVersion>1.0.0.%2a</ApplicationVersion>
    <UseApplicationTrust>false</UseApplicationTrust>
    <PublishWizardCompleted>true</PublishWizardCompleted>
    <BootstrapperEnabled>true</BootstrapperEnabled>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <PlatformTarget>AnyCPU</PlatformTarget>
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>bin\Debug\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <PlatformTarget>AnyCPU</PlatformTarget>
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>bin\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup>
    <ApplicationIcon>ico.ico</ApplicationIcon>
  </PropertyGroup>
  <PropertyGroup>
    <StartupObject />
  </PropertyGroup>
  <PropertyGroup>
    <SignManifests>false</SignManifests>
  </PropertyGroup>
  <PropertyGroup>
    <ManifestCertificateThumbprint>A065480634083D151778AF72BD70335EA2E3E9C0</ManifestCertificateThumbprint>
  </PropertyGroup>
  <PropertyGroup>
    <ManifestKeyFile>CTZLauncher_TemporaryKey.pfx</ManifestKeyFile>
  </PropertyGroup>
  <PropertyGroup>
    <GenerateManifests>true</GenerateManifests>
  </PropertyGroup>
  <PropertyGroup>
    <TargetZone>LocalIntranet</TargetZone>
  </PropertyGroup>
  <PropertyGroup>
    <ApplicationManifest>Properties\app.manifest</ApplicationManifest>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="Microsoft.VisualBasic" />
    <Reference Include="System" />
    <Reference Include="System.configuration" />
    <Reference Include="System.Data" />
    <Reference Include="System.Web" />
    <Reference Include="System.Xaml" />
    <Reference Include="System.Xml" />
    <Reference Include="System.Core" />
    <Reference Include="System.Xml.Linq" />
    <Reference Include="System.Data.DataSetExtensions" />
    <Reference Include="WindowsBase" />
    <Reference Include="PresentationCore" />
    <Reference Include="PresentationFramework" />
  </ItemGroup>
  <ItemGroup>
    <ApplicationDefinition Include="App.xaml">
      <Generator>MSBuild:Compile</Generator>
      <SubType>Designer</SubType>
    </ApplicationDefinition>
    <Compile Include="Modules\CTZServer\CTZServer.cs" />
    <Compile Include="Modules\Minecraft\ServerInfo.cs" />
    <Compile Include="Tools\MinecraftTools.cs" />
    <Compile Include="Tools\SystemTools.cs" />
    <Compile Include="Tools\UsefulTools.cs" />
    <Compile Include="Tools\ZipTools.cs" />
    <Page Include="MainWindow.xaml">
      <Generator>MSBuild:Compile</Generator>
      <SubType>Designer</SubType>
    </Page>
    <Compile Include="App.xaml.cs">
      <DependentUpon>App.xaml</DependentUpon>
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Authentication\AuthenticationInfo.cs" />
    <Compile Include="Authentication\IAuthenticator.cs" />
    <Compile Include="Authentication\OfflineAuthenticator.cs" />
    <Compile Include="Authentication\WarpedAuhenticator.cs" />
    <Compile Include="Authentication\Yggdrasil.cs" />
    <Compile Include="Authentication\CTZAuthenticator.cs" />
    <Compile Include="Tools\HttpHelper.cs" />
    <Compile Include="Launcher\LaunchArguments.cs" />
    <Compile Include="Launcher\LauncherCore.cs" />
    <Compile Include="Launcher\LauncherCoreInternal.cs" />
    <Compile Include="Launcher\LaunchHandle.cs" />
    <Compile Include="Launcher\LaunchHandleExtensions.cs" />
    <Compile Include="Launcher\LaunchMode.cs" />
    <Compile Include="Launcher\Version.cs" />
    <Compile Include="LitJson\IJsonWrapper.cs" />
    <Compile Include="LitJson\JsonData.cs" />
    <Compile Include="LitJson\JsonException.cs" />
    <Compile Include="LitJson\JsonMapper.cs" />
    <Compile Include="LitJson\JsonMockWrapper.cs" />
    <Compile Include="LitJson\JsonPropertyName.cs" />
    <Compile Include="LitJson\JsonReader.cs" />
    <Compile Include="LitJson\JsonWriter.cs" />
    <Compile Include="LitJson\Lexer.cs" />
    <Compile Include="LitJson\ParserToken.cs" />
    <Compile Include="MainWindow.xaml.cs">
      <DependentUpon>MainWindow.xaml</DependentUpon>
      <SubType>Code</SubType>
    </Compile>
  </ItemGroup>
  <ItemGroup>
    <Compile Include="Modules\JVersion\JVersion.cs" />
    <Compile Include="Modules\JVersion\JVersionLocator.cs" />
    <Compile Include="Modules\Yggdrasil\YggdrasilClient.cs" />
    <Compile Include="Properties\AssemblyInfo.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Properties\Resources.Designer.cs">
      <AutoGen>True</AutoGen>
      <DesignTime>True</DesignTime>
      <DependentUpon>Resources.resx</DependentUpon>
    </Compile>
    <Compile Include="Properties\Settings.Designer.cs">
      <AutoGen>True</AutoGen>
      <DependentUpon>Settings.settings</DependentUpon>
      <DesignTimeSharedInput>True</DesignTimeSharedInput>
    </Compile>
    <EmbeddedResource Include="Properties\Resources.resx">
      <Generator>ResXFileCodeGenerator</Generator>
      <LastGenOutput>Resources.Designer.cs</LastGenOutput>
    </EmbeddedResource>
    <None Include="app.config" />
    <None Include="Properties\app.manifest" />
    <None Include="Properties\Settings.settings">
      <Generator>SettingsSingleFileGenerator</Generator>
      <LastGenOutput>Settings.Designer.cs</LastGenOutput>
    </None>
    <AppDesigner Include="Properties\" />
  </ItemGroup>
  <ItemGroup>
    <Resource Include="ico.ico" />
  </ItemGroup>
  <ItemGroup>
    <Resource Include="IZ.ico" />
  </ItemGroup>
  <ItemGroup>
    <Resource Include="image\chooseArea.png" />
  </ItemGroup>
  <ItemGroup>
    <BootstrapperPackage Include=".NETFramework,Version=v4.0">
      <Visible>False</Visible>
      <ProductName>Microsoft .NET Framework 4 %28x86 和 x64%29</ProductName>
      <Install>true</Install>
    </BootstrapperPackage>
    <BootstrapperPackage Include="Microsoft.Net.Client.3.5">
      <Visible>False</Visible>
      <ProductName>.NET Framework 3.5 SP1 Client Profile</ProductName>
      <Install>false</Install>
    </BootstrapperPackage>
    <BootstrapperPackage Include="Microsoft.Net.Framework.3.5.SP1">
      <Visible>False</Visible>
      <ProductName>.NET Framework 3.5 SP1</ProductName>
      <Install>false</Install>
    </BootstrapperPackage>
    <BootstrapperPackage Include="Microsoft.Windows.Installer.4.5">
      <Visible>False</Visible>
      <ProductName>Windows Installer 4.5</ProductName>
      <Install>true</Install>
    </BootstrapperPackage>
  </ItemGroup>
  <ItemGroup>
    <Resource Include="bg\bg10.jpg" />
    <Resource Include="bg\bg11.jpg" />
    <Resource Include="bg\bg12.jpg" />
    <Resource Include="bg\bg13.jpg" />
    <Resource Include="bg\bg14.jpg" />
    <Resource Include="bg\bg15.jpg" />
    <Resource Include="bg\bg16.jpg" />
    <Resource Include="bg\bg17.jpg" />
    <Resource Include="bg\bg18.jpg" />
    <Resource Include="bg\bg19.jpg" />
    <Resource Include="bg\bg20.jpg" />
    <Resource Include="bg\bg21.jpg" />
    <Resource Include="bg\bg22.jpg" />
    <Resource Include="bg\bg6.jpg" />
    <Resource Include="bg\bg7.jpg" />
    <Resource Include="bg\bg8.jpg" />
    <Resource Include="bg\bg9.jpg" />
  </ItemGroup>
  <ItemGroup>
    <Resource Include="image\logo.png" />
  </ItemGroup>
  <ItemGroup>
    <Resource Include="image\area.png" />
  </ItemGroup>
  <ItemGroup>
    <Resource Include="image\join.png" />
  </ItemGroup>
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
  <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
       Other similar extension points exist, see Microsoft.Common.targets.
  <Target Name="BeforeBuild">
  </Target>
  <Target Name="AfterBuild">
  </Target>
  -->
</Project>